Testing results considerations:

1.  All manual test cases were executed on Target i386 and SDK i386
    image, and were executed as needed by the development team on the
    Target ARM and Target AMD64 images.
2.  All automated test cases already integrated into LAVA system were
    executed on images: Target ARM, Target AMD64, Development AMD64,
    Target i386, Development i386, SDK i386 and SDK AMD64.
3.  Test cases marked as 'under development' were skipped during this
    testing round.
4.  Failures and partial failures were noted in the Release notes
    document for further analyse.

-----

The platform image used for these tests are :

  - [Target AMD64
    (2016-01-28)](https://images.apertis.org/daily/16.03/20160128.0/apertis-16.03-amd64-target-amd64-uefi_20160128.0-collabora16.00.04.btrfs.img.gz)
  - [Development AMD64
    (2016-01-28)](https://images.apertis.org/daily/16.03/20160128.0/apertis-16.03-amd64-development-amd64-uefi_20160128.0-collabora16.00.04.btrfs.img.gz)
  - [Target i386
    (2016-01-28)](https://images.apertis.org/daily/16.03/20160128.0/apertis-16.03-i386-target-i386_20160128.0-collabora16.00.04.btrfs.img.gz)
  - [Development i386
    (2016-01-28)](https://images.apertis.org/daily/16.03/20160128.0/apertis-16.03-i386-development-i386_20160128.0-collabora16.00.04.btrfs.img.gz)
  - [SDK i386
    (2016-01-28)](https://images.apertis.org/daily/16.03/20160128.0/apertis-16.03-i386-sdk-i386_20160128.0-collabora16.00.04.btrfs.vdi.gz)
  - [SDK AMD64
    (2016-01-28)](https://images.apertis.org/daily/16.03/20160128.0/apertis-16.03-amd64-sdk-amd64-uefi_20160128.0-collabora16.00.04.btrfs.vdi.gz)

<table>
<thead>
<tr class="header">
<th><p>ID</p></th>
<th><p>Description</p></th>
<th><p>Type</p></th>
<th><p>Target ARM</p></th>
<th><p>Target AMD64</p></th>
<th><p>Development AMD64</p></th>
<th><p>Target i386</p></th>
<th><p>Development i386</p></th>
<th><p>SDK i386</p></th>
<th><p>SDK AMD64</p></th>
<th><p>Tested By</p></th>
<th><p>Notes</p></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><p><strong>Booting</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/image-bootable">image-bootable</a></p></td>
<td><p>Test whether the image is bootable.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/image-x-start">image-x-start</a></p></td>
<td><p>Test whether the image starts a graphical environment.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>HW Acceleration</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/x-hw-accelerated">x-hw-accelerated</a></p></td>
<td><p>Test whether the correct GLES2 render is used.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>GStreamer</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-playback-gstreamer1.0">clutter-playback-gstreamer1.0</a></p></td>
<td><p>Test video and audio playback using clutter-gst and GStreamer1.0.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Parthiban Boopathi</p></td>
<td><p><a href="/bbz:634" title="wikilink">bug 634</a> <a href="/bbz:550" title="wikilink">bug 550</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/gstreamer1.0-decode">gstreamer1.0-decode</a></p></td>
<td><p>Test video and audio decoders and demuxers on a list of media.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">1</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">2</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">3</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">4</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">5</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">6</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">7</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Multitouch</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-actors-bigger-reactive-area">clutter-actors-bigger-reactive-area</a></p></td>
<td><p>Test that Clutter allows an actor's pick area to be larger than its paint area.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-mt-rotate">clutter-mt-rotate</a></p></td>
<td><p>Test that clutter properly performs rotation gestures.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-mt-touch-events">clutter-mt-touch-events</a></p></td>
<td><p>Test multi-touch support in Clutter.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-mt-zoom">clutter-mt-zoom</a></p></td>
<td><p>Test that clutter properly performs zoom gestures.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-transparent-stage">clutter-transparent-stage</a></p></td>
<td><p>Test that clutter transparent stages are correctly handled by the graphics stack.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-mt-touch-events">webkit-mt-touch-events</a></p></td>
<td><p>Test implementation of W3C touch events API in webkit-clutters.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/xephyr-mt-touch-events">xephyr-mt-touch-events</a></p></td>
<td><p>Test that X clients within Xephyr receive touch events forwarded from the host X display.<br />
This test is used for both touchscreen *and* support for the Magic Trackpad. So please, do test for both cases below:</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>Parthiban</p></td>
<td><p><a href="/bbz:598" title="wikilink">bug 598</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>WebKit</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-actor-tiles">webkit-actor-tiles</a></p></td>
<td><p>Test implementation of actor-based tiled backing store in webkit-clutter.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-event-handling-redesign">webkit-event-handling-redesign</a></p></td>
<td><p>Test WebKit-Clutter ability to scroll by touch with inertial behaviour after the touch ended.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-layout-tests">webkit-layout-tests</a></p></td>
<td><p>Layout tests are used to check the correctness of the renderer. It involves loading pages in a test renderer (DumpRenderTree) and comparing the rendered output tree against an expected output file.</p></td>
<td><p>Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>FAILED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133960">8</a> <a href="https://lava.collabora.co.uk/scheduler/job/133934">9</a> <a href="https://lava.collabora.co.uk/scheduler/job/135753">10</a> <a href="https://lava.collabora.co.uk/scheduler/job/133929">11</a> <a href="https://lava.collabora.co.uk/scheduler/job/133944">12</a> <a href="https://lava.collabora.co.uk/scheduler/job/133954">13</a> <a href="https://lava.collabora.co.uk/scheduler/job/133965">14</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Webkit-AC</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-ac-3d-rendering">webkit-ac-3d-rendering</a></p></td>
<td><p>Test that 3D transforms are applied correctly.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-ac-animations">webkit-ac-animations</a></p></td>
<td><p>Test that Clutter actors created for representing layers animate properly.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-ac-scrolling">webkit-ac-scrolling</a></p></td>
<td><p>Test that actors created for representing layers scroll properly.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Gettext</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-i18-gettext">clutter-i18n-gettext</a></p></td>
<td><p>Check that internationalization (translation) of Clutter applications using gettext works.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/gettext-i18n">gettext-i18n</a></p></td>
<td><p>Check that gettext internationalization works.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">15</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">16</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">17</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">18</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">19</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">20</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">21</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Meta Data Management</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/gupnp-services">gupnp-services</a></p></td>
<td><p>Run a few tests related to service browsing, introspection, etc.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">22</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">23</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">24</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">25</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">26</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">27</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">28</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/librest-unit">librest-unit</a></p></td>
<td><p>Run the unit tests that ship with the library against the running system.</p></td>
<td><p>Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">29</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">30</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">31</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">32</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">33</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">34</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">35</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/libsoup-unit">libsoup-unit</a></p></td>
<td><p>Run the unit tests that ship with the library against the running system.</p></td>
<td><p>Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">36</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">37</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">38</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">39</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">40</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">41</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">42</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/tracker-indexing-local-storage">tracker-indexing-local-storage</a></p></td>
<td><p>Check tracker indexing of local storage and journal behaviour.</p></td>
<td><p>Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">43</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">44</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">45</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">46</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">47</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">48</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">49</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/tracker-indexing-mass-storage">tracker-indexing-mass-storage</a></p></td>
<td><p>Check tracker indexes mass storage devices on insertion.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/tumbler-thumbnailing">tumbler-thumbnailing</a></p></td>
<td><p>Check that all thumbnailing features of tumbler are working properly (large, small, videos, documents, images).</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">50</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">51</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">52</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">53</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">54</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">55</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">56</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Grilo</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/grilo">grilo</a></p></td>
<td><p>Check grilo metadata notifications, and filesystem browsing.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">57</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">58</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">59</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">60</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">61</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">62</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">63</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>DBus</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/dbus-dos-reply-time">dbus-dos-reply-time</a></p></td>
<td><p>Check the reply time of a few D-Bus method calls while dbus-daemon is loaded by D-Bus traffic.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">64</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">65</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">66</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">67</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">68</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">69</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">70</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Networking</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/bluez-avrcp-volume">bluez-avrcp-volume</a></p></td>
<td><p>Test the AVRCP volume up and down commands.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/bluez-phone">bluez-phone</a></p></td>
<td><p>Test all BlueZ features needing interaction with a phone (Pairing, OBEX, PBAP, AVRCP, A2DP, HSP, HFP, PAN).</p></td>
<td><p>Not Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Boopathi Parthiban</p></td>
<td><p><a href="/bbz:592" title="wikilink">bug 592</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/bluez-setup">bluez-setup</a></p></td>
<td><p>Test setup of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/connman">connman</a></p></td>
<td><p>Runs some automated tests using the ConnMan D-Bus API. It guarantees most of the basic features are working.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">71</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">72</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">73</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">74</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">75</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">76</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">77</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/connman-new-supplicant">connman-new-supplicant</a></p></td>
<td><p>Test the wpa_supplicant interface.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">78</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">79</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">80</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">81</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">82</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">83</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">84</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/connman-pan-tethering">connman-pan-tethering</a></p></td>
<td><p>Test ConnMan support for PAN connectivity.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/connman-services">connman-services</a></p></td>
<td><p>Tests ConnMan services.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/connman-usb-tethering">connman-usb-tethering</a></p></td>
<td><p>Test ConnMan support for USB tethering (connection side).</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/ofono-sms-receive">ofono-sms-receive</a></p></td>
<td><p>Test receiving SMS messages with oFono.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/ofono-sms-send">ofono-sms-send</a></p></td>
<td><p>Test sending of SMS with oFono.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Folks</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-alias-persistence">folks-alias-persistence</a></p></td>
<td><p>Ensures user-set contact aliases persist.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133961">85</a> <a href="https://lava.collabora.co.uk/scheduler/job/133935">86</a> <a href="https://lava.collabora.co.uk/scheduler/job/133950">87</a> <a href="https://lava.collabora.co.uk/scheduler/job/133930">88</a> <a href="https://lava.collabora.co.uk/scheduler/job/133945">89</a> <a href="https://lava.collabora.co.uk/scheduler/job/133955">90</a> <a href="https://lava.collabora.co.uk/scheduler/job/134915">91</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-eds-compatibility">folks-eds-compatibility</a></p></td>
<td><p>Checks that contacts created within Evolution Data Server (as will happen when phone contacts get synchronized to an Apertis machine) show up in other contact-based programs.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133961">92</a> <a href="https://lava.collabora.co.uk/scheduler/job/133935">93</a> <a href="https://lava.collabora.co.uk/scheduler/job/133950">94</a> <a href="https://lava.collabora.co.uk/scheduler/job/133930">95</a> <a href="https://lava.collabora.co.uk/scheduler/job/133945">96</a> <a href="https://lava.collabora.co.uk/scheduler/job/133955">97</a> <a href="https://lava.collabora.co.uk/scheduler/job/134915">98</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-linking">folks-metacontacts-linking</a></p></td>
<td><p>Ensures linking meta-contacts works properly.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133961">99</a> <a href="https://lava.collabora.co.uk/scheduler/job/133935">100</a> <a href="https://lava.collabora.co.uk/scheduler/job/133950">101</a> <a href="https://lava.collabora.co.uk/scheduler/job/133930">102</a> <a href="https://lava.collabora.co.uk/scheduler/job/133945">103</a> <a href="https://lava.collabora.co.uk/scheduler/job/133955">104</a> <a href="https://lava.collabora.co.uk/scheduler/job/134915">105</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-unlinking">folks-metacontacts-unlinking</a></p></td>
<td><p>Ensures unlinking meta-contacts works properly.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133961">106</a> <a href="https://lava.collabora.co.uk/scheduler/job/133935">107</a> <a href="https://lava.collabora.co.uk/scheduler/job/133950">108</a> <a href="https://lava.collabora.co.uk/scheduler/job/133930">109</a> <a href="https://lava.collabora.co.uk/scheduler/job/133945">110</a> <a href="https://lava.collabora.co.uk/scheduler/job/133955">111</a> <a href="https://lava.collabora.co.uk/scheduler/job/134915">112</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-telepathy-retrieve-contacts">folks-telepathy-retrieve-contacts</a></p></td>
<td><p>Ensures that Folks can correctly retrieve Telepathy contacts.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133961">113</a> <a href="https://lava.collabora.co.uk/scheduler/job/133935">114</a> <a href="https://lava.collabora.co.uk/scheduler/job/133950">115</a> <a href="https://lava.collabora.co.uk/scheduler/job/133930">116</a> <a href="https://lava.collabora.co.uk/scheduler/job/133945">117</a> <a href="https://lava.collabora.co.uk/scheduler/job/133955">118</a> <a href="https://lava.collabora.co.uk/scheduler/job/134915">119</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Telepathy</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/telepathy-gabble-unit">telepathy-gabble-unit</a></p></td>
<td><p>Run telepathy-gabble test suite.</p></td>
<td><p>Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>FAILED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">120</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">121</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">122</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">123</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">124</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">125</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">126</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/telepathy-rakia">telepathy-rakia</a></p></td>
<td><p>Test Telepathy rakia integration</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>SDK Development</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-ide-build-run-program">sdk-ide-build-run-program</a></p></td>
<td><p>Creates a simple test project and confirms that compiling and executing work.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-nested-wm">sdk-nested-wm</a></p></td>
<td><p>Tests that Devilspie scripts can be applied to windows running within Mutter.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>Parthiban</p></td>
<td><p><a href="/bbz:598" title="wikilink">bug 598</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Apparmor Basic</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-basic-profiles">apparmor-basic-profiles</a></p></td>
<td><p>Test basic apparmor profiles. Only parsing and syntax of profiles are tested for now.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133958">127</a> <a href="https://lava.collabora.co.uk/scheduler/job/133932">128</a> <a href="https://lava.collabora.co.uk/scheduler/job/133947">129</a> <a href="https://lava.collabora.co.uk/scheduler/job/133927">130</a> <a href="https://lava.collabora.co.uk/scheduler/job/133942">131</a> <a href="https://lava.collabora.co.uk/scheduler/job/133952">132</a> <a href="https://lava.collabora.co.uk/scheduler/job/135752">133</a></p></td>
</tr>
<tr class="even">
<td><p><strong>CGroups</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/cgroups-resource-control">cgroups-resource-control</a></p></td>
<td><p>Run cgroup resource control tests</p></td>
<td><p>Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">134</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">135</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">136</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">137</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">138</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">139</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">140</a></p></td>
</tr>
<tr class="even">
<td><p><strong>SDK</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-performance-tools-gprof-smoke-test">sdk-performance-tools-gprof-smoke-test</a></p></td>
<td><p>Checks basic gprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133956">141</a> <a href="https://lava.collabora.co.uk/scheduler/job/133967">142</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-performance-tools-sysprof-smoke-test">sdk-performance-tools-sysprof-smoke-test</a></p></td>
<td><p>Checks basic sysprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133956">143</a> <a href="https://lava.collabora.co.uk/scheduler/job/133967">144</a> (<a href="/bbz:633" title="wikilink">bug 633</a>)</p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-gdb-smoke-test">sdk-debug-tools-gdb-smoke-test</a></p></td>
<td><p>Checks basic gdb functionality by stopping a program at a set point and checking its backtrace matches expectations.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133956">145</a> <a href="https://lava.collabora.co.uk/scheduler/job/133967">146</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-strace-smoke-test">sdk-debug-tools-strace-smoke-test</a></p></td>
<td><p>Checks basic strace functionality by checking its output when run on a simple command line program.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133956">147</a> <a href="https://lava.collabora.co.uk/scheduler/job/133967">148</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-valgrind-smoke-test">sdk-debug-tools-valgrind-smoke-test</a></p></td>
<td><p>Checks basic valgrind functionality by running a program with and without memory leaks, ensuring expected results from valgrind.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133956">149</a> <a href="https://lava.collabora.co.uk/scheduler/job/133967">150</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-dbus-tools-bustle-smoke-test">sdk-dbus-tools-bustle-smoke-test</a></p></td>
<td><p>Test that bustle-dbus-monitor shows services on the session bus.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-dbus-tools-d-feet-smoke-test">sdk-dbus-tools-d-feet-smoke-test</a></p></td>
<td><p>Test that D-Feet both shows services on the session bus and that new services appear automatically.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-code-analysis-tools-gcov-smoke-test">sdk-code-analysis-tools-gcov-smoke-test</a></p></td>
<td><p>Checks basic gcov functionality by running a sample program a few different ways and ensuring that a sufficient portion of its code paths are executed</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133956">151</a> <a href="https://lava.collabora.co.uk/scheduler/job/133967">152</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-code-analysis-tools-splint-smoke-test">sdk-code-analysis-tools-splint-smoke-test</a></p></td>
<td><p>Checks basic splint functionality by checking its output when run on a simple source file.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133956">153</a> <a href="https://lava.collabora.co.uk/scheduler/job/133967">154</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-vb-fullscreen">sdk-vb-fullscreen</a></p></td>
<td><p>Tests that the SDK VM can be fullscreened in VirtualBox</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>Parthiban</p></td>
<td><p><a href="/bbz:598" title="wikilink">bug 598</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Eclipse</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/eclipse-plugins">eclipse-sysroot-management</a></p></td>
<td><p>Test sysroot management and update within Eclipse. It will go through configuring an existing sysroot in Eclipse, and then updating it from the web with the latest version.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>Parthiban</p></td>
<td><p><a href="/bbz:427" title="wikilink">bug 427</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/eclipse-plugins-install-to-target">eclipse-install-to-target</a></p></td>
<td><p>Test copying files to the remote device from within Eclipse. It will create a dummy project and then create a configuration to copy the binary file to a remote device and debug it remotely using Eclipse.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/eclipse-plugins-remote-debugging">eclipse-remote-debugging</a></p></td>
<td><p>Test remote debugging within Eclipse. It will create a dummy project and then create a configuration to copy the binary file to a remote device and debug it remotely using Eclipse.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Contacts</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/evolution-sync-bluetooth">evolution-sync-bluetooth</a></p></td>
<td><p>Synchronizing Bluetooth-paired phone contacts to Evolution.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-antilinking">folks-metacontacts-antilinking</a></p></td>
<td><p>Ensures anti-linking meta-contacts works properly.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133961">155</a> <a href="https://lava.collabora.co.uk/scheduler/job/133935">156</a> <a href="https://lava.collabora.co.uk/scheduler/job/133950">157</a> <a href="https://lava.collabora.co.uk/scheduler/job/133930">158</a> <a href="https://lava.collabora.co.uk/scheduler/job/133945">159</a> <a href="https://lava.collabora.co.uk/scheduler/job/133955">160</a> <a href="https://lava.collabora.co.uk/scheduler/job/134915">161</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Clutter Multitouch</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/xoo-soft-keys-emulation">xoo-soft-keys-emulation</a></p></td>
<td><p>Test that 'xoo' allows one to pass-in Xephyr-nested key events from clicking UI buttons</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133956">162</a> <a href="https://lava.collabora.co.uk/scheduler/job/133967">163</a> (<a href="/bbz:637" title="wikilink">bug 637</a>)</p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-performance">clutter-performance</a></p></td>
<td><p>Test performance of Clutter</p></td>
<td><p>Integrated</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133960">164</a> <a href="https://lava.collabora.co.uk/scheduler/job/133934">165</a> <a href="https://lava.collabora.co.uk/scheduler/job/135753">166</a> <a href="https://lava.collabora.co.uk/scheduler/job/133929">167</a> <a href="https://lava.collabora.co.uk/scheduler/job/133944">168</a> <a href="https://lava.collabora.co.uk/scheduler/job/133954">169</a> <a href="https://lava.collabora.co.uk/scheduler/job/133965">170</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/x-out-of-screen-events-buttond">x-out-of-screen-events-buttond</a></p></td>
<td><p>Test that buttond generates correct keystrokes in response to simulated touch screen input</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">171</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">172</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">173</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">174</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">175</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">176</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">177</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/mxkineticscrollview-smooth-pan">mxkineticscrollview-smooth-pan</a></p></td>
<td><p>Some low-resolution touch screens send touch events in widely separate time intervals, which causes MxKineticScrollView widget to jump from one position to the next one without any visible transition. This test case implements a long list to scroll through to make sure there are no visible &quot;jumps&quot; when scrolling.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Boopathi Parthiban</p></td>
<td><p><a href="/bbz:543" title="wikilink">bug 543</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Connectivity</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/bluez-hfp">bluez-hfp</a></p></td>
<td><p>Test Hands Free Profile (HFP) BlueZ feature.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/rfkill-toggle">rfkill-toggle</a></p></td>
<td><p>Test that rfkill is functional.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/telepathy-ring">telepathy-ring</a></p></td>
<td><p>Support making and receiving phone calls in Telepathy manually, with a bluetooth-paired phone.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Boopathi Parthiban</p></td>
<td><p><a href="/bbz:156" title="wikilink">bug 156</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/telepathy-ring-automated">telepathy-ring-automated</a></p></td>
<td><p>Support making and receiving phone calls in Telepathy.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133956">178</a> <a href="https://lava.collabora.co.uk/scheduler/job/133967">179</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Contacts</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-ofono-backend">folks-ofono-backend</a></p></td>
<td><p>Reading contacts from 3G modem SIM card.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-search-contacts">folks-search-contacts</a></p></td>
<td><p>Ensures that Folks can correctly search contacts.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133961">180</a> <a href="https://lava.collabora.co.uk/scheduler/job/133935">181</a> <a href="https://lava.collabora.co.uk/scheduler/job/133950">182</a> <a href="https://lava.collabora.co.uk/scheduler/job/133930">183</a> <a href="https://lava.collabora.co.uk/scheduler/job/133945">184</a> <a href="https://lava.collabora.co.uk/scheduler/job/133955">185</a> <a href="https://lava.collabora.co.uk/scheduler/job/134915">186</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/abstract-contact-addressbook-creation">abstract-contact-addressbook-creation</a></p></td>
<td><p>A way to be able to create abstract addressbook is needed in SyncEvolution, so that separate addressbooks can be created for each paired device.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133961">187</a> <a href="https://lava.collabora.co.uk/scheduler/job/133935">188</a> <a href="https://lava.collabora.co.uk/scheduler/job/133950">189</a> <a href="https://lava.collabora.co.uk/scheduler/job/133930">190</a> <a href="https://lava.collabora.co.uk/scheduler/job/133945">191</a> <a href="https://lava.collabora.co.uk/scheduler/job/133955">192</a> <a href="https://lava.collabora.co.uk/scheduler/job/134915">193</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-sync-only">folks-sync-only</a></p></td>
<td><p>Test SYNCHRONIZE_ONLY flag for persona stores in Folks.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133956">194</a> <a href="https://lava.collabora.co.uk/scheduler/job/133967">195</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/storage-of-arbitrary-data-in-contacts">storage-arbitrary-data-contacts</a></p></td>
<td><p>Support for storing arbitrary data in contacts in Folks.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133961">196</a> <a href="https://lava.collabora.co.uk/scheduler/job/133935">197</a> <a href="https://lava.collabora.co.uk/scheduler/job/133950">198</a> <a href="https://lava.collabora.co.uk/scheduler/job/133930">199</a> <a href="https://lava.collabora.co.uk/scheduler/job/133945">200</a> <a href="https://lava.collabora.co.uk/scheduler/job/133955">201</a> <a href="https://lava.collabora.co.uk/scheduler/job/134915">202</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Multimedia</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-gstreamer1.0">webkit-gstreamer1.0</a></p></td>
<td><p>Tests html5 video playback with GStreamer 1.0 in WebKit-Clutter</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-buffering-2.0">clutter-buffering-2.0</a></p></td>
<td><p>Test clutter-gst stream buffering support against gstreamer 1.0.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/clutter-live-stream-2.0">clutter-live-media-2.0</a></p></td>
<td><p>Test clutter-gst live media improvements support against gstreamer 1.0.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/traffic-control-basic">traffic-control-basic</a></p></td>
<td><p>Test basic traffic control support. This test does not use tcmmd but it could catch missing support in the kernel or misbehaving traffic control.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/traffic-control-tcmmd">traffic-control-tcmmd</a></p></td>
<td><p>Test traffic control support with tcmmd and wget.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/traffic-control-tcdemo">traffic-control-tcdemo</a></p></td>
<td><p>Test traffic control demo with tcmmd and tcdemo.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td><p><a href="/bbz:634" title="wikilink">bug 634</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/gstreamer-buffering">gstreamer-buffering</a></p></td>
<td><p>Test the download-buffering playback mode of clutter-gst-3.0.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/gstreamer-splash">gstreamer-splash</a></p></td>
<td><p>Test whether the gstreamer splash plugin is working.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td><p>Camera cable corrupted</p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/video-animation-on-boot">video-animation-on-boot</a></p></td>
<td><p>Test whether Plymouth is able to display a graphical theme.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/gstreamer-viv-direct-texture">gstreamer-viv-direct-texture</a></p></td>
<td><p>Test the GStreamer integration of the Vivante direct texture extension, which enables fast video playback on i.MX6.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Robustness</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/glib-gio-fs">glib-gio-fs</a></p></td>
<td><p>Run the GLib gio tests that do I/O on the local filesystem.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">203</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">204</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">205</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">206</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">207</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">208</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">209</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sqlite-veryquick">sqlite-veryquick</a></p></td>
<td><p>Run the &quot;veryquick&quot; tests shipped with SQLite.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133962">210</a> <a href="https://lava.collabora.co.uk/scheduler/job/133936">211</a> <a href="https://lava.collabora.co.uk/scheduler/job/133951">212</a> <a href="https://lava.collabora.co.uk/scheduler/job/133931">213</a> <a href="https://lava.collabora.co.uk/scheduler/job/133946">214</a> <a href="https://lava.collabora.co.uk/scheduler/job/133957">215</a> <a href="https://lava.collabora.co.uk/scheduler/job/133968">216</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Security</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor">apparmor</a></p></td>
<td><p>Functional testing for AppArmor functionalities.</p></td>
<td><p>Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133958">217</a> <a href="https://lava.collabora.co.uk/scheduler/job/133932">218</a> <a href="https://lava.collabora.co.uk/scheduler/job/133947">219</a> <a href="https://lava.collabora.co.uk/scheduler/job/133927">220</a> <a href="https://lava.collabora.co.uk/scheduler/job/133942">221</a> <a href="https://lava.collabora.co.uk/scheduler/job/133952">222</a> <a href="https://lava.collabora.co.uk/scheduler/job/135752">223</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-chaiwala-system">apparmor-chaiwala-system</a></p></td>
<td><p>Test that AppArmor's system wide rules works according to Apertis security goals.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133958">224</a> <a href="https://lava.collabora.co.uk/scheduler/job/133932">225</a> <a href="https://lava.collabora.co.uk/scheduler/job/133947">226</a> <a href="https://lava.collabora.co.uk/scheduler/job/133927">227</a> <a href="https://lava.collabora.co.uk/scheduler/job/133942">228</a> <a href="https://lava.collabora.co.uk/scheduler/job/133952">229</a> <a href="https://lava.collabora.co.uk/scheduler/job/135752">230</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-functional-demo">apparmor-functional-demo</a></p></td>
<td><p>Show some main AppArmor functionalities, like transitions, net access or resource permissions, under the form of tests.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133958">231</a> <a href="https://lava.collabora.co.uk/scheduler/job/133932">232</a> <a href="https://lava.collabora.co.uk/scheduler/job/133947">233</a> <a href="https://lava.collabora.co.uk/scheduler/job/133927">234</a> <a href="https://lava.collabora.co.uk/scheduler/job/133942">235</a> <a href="https://lava.collabora.co.uk/scheduler/job/133952">236</a> <a href="https://lava.collabora.co.uk/scheduler/job/135752">237</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-utils">apparmor-utils</a></p></td>
<td><p>Test apparmor_parser and other tools in apparmor package can be executed.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133958">238</a> <a href="https://lava.collabora.co.uk/scheduler/job/133932">239</a> <a href="https://lava.collabora.co.uk/scheduler/job/133947">240</a> <a href="https://lava.collabora.co.uk/scheduler/job/133927">241</a> <a href="https://lava.collabora.co.uk/scheduler/job/133942">242</a> <a href="https://lava.collabora.co.uk/scheduler/job/133952">243</a> <a href="https://lava.collabora.co.uk/scheduler/job/135752">244</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-session-lockdown-denies">apparmor-session-lockdown-denies</a></p></td>
<td><p>Test that the MxLauncher profile is indeed limited to what is allows.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-session-lockdown-launcher-whitelist">apparmor-session-lockdown-launcher-whitelist</a></p></td>
<td><p>Make sure our demo/test launcher is applying the white-list approach properly.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-session-lockdown-no-deny">apparmor-session-lockdown-no-deny</a></p></td>
<td><p>Test that the session lockdown profile is not blocking more than it should</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td><p><a href="/bbz:648" title="wikilink">bug 648</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-gstreamer1.0">apparmor-gstreamer1.0</a></p></td>
<td><p>Test that AppArmor profiles provided in GStreamer 1.0 works without Auditd complaining</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133958">245</a> <a href="https://lava.collabora.co.uk/scheduler/job/133932">246</a> <a href="https://lava.collabora.co.uk/scheduler/job/133947">247</a> <a href="https://lava.collabora.co.uk/scheduler/job/133927">248</a> <a href="https://lava.collabora.co.uk/scheduler/job/133942">249</a> <a href="https://lava.collabora.co.uk/scheduler/job/133952">250</a> <a href="https://lava.collabora.co.uk/scheduler/job/135752">251</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-pulseaudio">apparmor-pulseaudio</a></p></td>
<td><p>Test that AppArmor profiles provided in PulseAudio 2.1 work without Auditd complaining.</p></td>
<td><p>Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133958">252</a> <a href="https://lava.collabora.co.uk/scheduler/job/133932">253</a> <a href="https://lava.collabora.co.uk/scheduler/job/133947">254</a> <a href="https://lava.collabora.co.uk/scheduler/job/133927">255</a> <a href="https://lava.collabora.co.uk/scheduler/job/133942">256</a> <a href="https://lava.collabora.co.uk/scheduler/job/133952">257</a> <a href="https://lava.collabora.co.uk/scheduler/job/135752">258</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-webkit-clutter">apparmor-webkit-clutter</a></p></td>
<td><p>Tests that the webkit-clutter abstraction doesn't cause false negatives and that it does not allow arbitrary reading of files in the home directory.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133958">259</a> <a href="https://lava.collabora.co.uk/scheduler/job/133932">260</a> <a href="https://lava.collabora.co.uk/scheduler/job/133947">261</a> <a href="https://lava.collabora.co.uk/scheduler/job/133927">262</a> <a href="https://lava.collabora.co.uk/scheduler/job/133942">263</a> <a href="https://lava.collabora.co.uk/scheduler/job/133952">264</a> <a href="https://lava.collabora.co.uk/scheduler/job/135752">265</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-bluez-automated">apparmor-bluez-automated</a></p></td>
<td><p>Test AppArmor profile for support for SPP profile (bluez-spp) and core functionalities (bluez-core).</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-bluez-avrcp-volume">apparmor-bluez-avrcp-volume</a></p></td>
<td><p>Test AppArmor profile for Bluez AVRCP volume up and down commands.</p></td>
<td><p>Not Integrated</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td><p><a href="/bbz:511" title="wikilink">bug 511</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-bluez-setup">apparmor-bluez-setup</a></p></td>
<td><p>Test AppArmor profiles for setting up of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td><p><a href="/bbz:511" title="wikilink">bug 511</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-folks">apparmor-folks</a></p></td>
<td><p>Test that AppArmor profiles provided in Folks package work without unexpected auditd log entries.</p></td>
<td><p>Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133958">266</a> <a href="https://lava.collabora.co.uk/scheduler/job/133932">267</a> <a href="https://lava.collabora.co.uk/scheduler/job/133947">268</a> <a href="https://lava.collabora.co.uk/scheduler/job/133927">269</a> <a href="https://lava.collabora.co.uk/scheduler/job/133942">270</a> <a href="https://lava.collabora.co.uk/scheduler/job/133952">271</a> <a href="https://lava.collabora.co.uk/scheduler/job/135752">272</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-geoclue">apparmor-geoclue</a></p></td>
<td><p>Test that geoclue apparmor profiles are working properly</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133958">273</a> <a href="https://lava.collabora.co.uk/scheduler/job/133932">274</a> <a href="https://lava.collabora.co.uk/scheduler/job/133947">275</a> <a href="https://lava.collabora.co.uk/scheduler/job/133927">276</a> <a href="https://lava.collabora.co.uk/scheduler/job/133942">277</a> <a href="https://lava.collabora.co.uk/scheduler/job/133952">278</a> <a href="https://lava.collabora.co.uk/scheduler/job/135752">279</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-libreoffice">apparmor-libreoffice</a></p></td>
<td><p>Tests that the libreoffice profile doesn't cause false negatives and that it does not allow arbitrary reading of files in the home directory.</p></td>
<td><p>Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133958">280</a> <a href="https://lava.collabora.co.uk/scheduler/job/133932">281</a> <a href="https://lava.collabora.co.uk/scheduler/job/133947">282</a> <a href="https://lava.collabora.co.uk/scheduler/job/133927">283</a> <a href="https://lava.collabora.co.uk/scheduler/job/133942">284</a> <a href="https://lava.collabora.co.uk/scheduler/job/133952">285</a> <a href="https://lava.collabora.co.uk/scheduler/job/135752">286</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-ofono">apparmor-ofono</a></p></td>
<td><p>Test that AppArmor profiles provided in ofono package work without unexpected auditd log entries.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-tracker">apparmor-tracker</a></p></td>
<td><p>Tests that the tracker abstraction and tracker profiles don't cause false negatives and that it does not allow arbitrary reading of files in the home directory.</p></td>
<td><p>Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133958">287</a> <a href="https://lava.collabora.co.uk/scheduler/job/133932">288</a> <a href="https://lava.collabora.co.uk/scheduler/job/133947">289</a> <a href="https://lava.collabora.co.uk/scheduler/job/133927">290</a> <a href="https://lava.collabora.co.uk/scheduler/job/133942">291</a> <a href="https://lava.collabora.co.uk/scheduler/job/133952">292</a> <a href="https://lava.collabora.co.uk/scheduler/job/135752">293</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-tumbler">apparmor-tumbler</a></p></td>
<td><p>Tests that the tumbler profile doesn't cause false negatives and that it does not allow arbitrary reading of files in the home directory.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133958">294</a> <a href="https://lava.collabora.co.uk/scheduler/job/133932">295</a> <a href="https://lava.collabora.co.uk/scheduler/job/133947">296</a> <a href="https://lava.collabora.co.uk/scheduler/job/133927">297</a> <a href="https://lava.collabora.co.uk/scheduler/job/133942">298</a> <a href="https://lava.collabora.co.uk/scheduler/job/133952">299</a> <a href="https://lava.collabora.co.uk/scheduler/job/135752">300</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/iptables-basic">iptables-basic</a></p></td>
<td><p>Test the firewall automatically.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">301</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">302</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">303</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">304</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">305</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">306</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">307</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/iptables-nmap">iptables-nmap</a></p></td>
<td><p>Test the firewall using nmap from another computer.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-dbus">apparmor-dbus</a></p></td>
<td><p>Functional testing for AppArmor D-Bus mediation.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133958">308</a> <a href="https://lava.collabora.co.uk/scheduler/job/133932">309</a> <a href="https://lava.collabora.co.uk/scheduler/job/133947">310</a> <a href="https://lava.collabora.co.uk/scheduler/job/133927">311</a> <a href="https://lava.collabora.co.uk/scheduler/job/133942">312</a> <a href="https://lava.collabora.co.uk/scheduler/job/133952">313</a> <a href="https://lava.collabora.co.uk/scheduler/job/135752">314</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>System Update</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/updater">updater-update-platform</a></p></td>
<td><p>Test that chaiwala-updater is capable of performing a full platform update.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/btrfs-snapshot-management">btrfs-snapshot-management</a></p></td>
<td><p>Test subvolume management using Btrfs for system upgrades.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">315</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">316</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">317</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">318</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">319</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">320</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">321</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/factory-reset-tool">factory-reset-tool</a></p></td>
<td><p>Check if the system can be restored to a factory reset state.</p></td>
<td><p>Not Integrated</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td><p><a href="/bbz:386" title="wikilink">bug 386</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/last-resort-message">last-resort-message</a></p></td>
<td><p>Test whether U-Boot last resort image is displayed on boot failure</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/limited-functionality-manual">limited-functionality-manual</a></p></td>
<td><p>Test whether the limited functionality mode can be triggered.</p></td>
<td><p>Not Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td><p>Camera cable corrupted</p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/v4l-automated">v4l-automated</a></p></td>
<td><p>Test the v4l codepaths of chaiwala-v4l2fb.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">322</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">323</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">324</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">325</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">326</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">327</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">328</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/boot-performance">boot-performance</a></p></td>
<td><p>Test boot performance.</p></td>
<td><p>Not Integrated</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td><p><a href="/bbz:467" title="wikilink">bug 467</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/boot-performance-automated">boot-performance-automated</a></p></td>
<td><p>Test boot performance.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133959">329</a> <a href="https://lava.collabora.co.uk/scheduler/job/133933">330</a> <a href="https://lava.collabora.co.uk/scheduler/job/133948">331</a> <a href="https://lava.collabora.co.uk/scheduler/job/134727">332</a> <a href="https://lava.collabora.co.uk/scheduler/job/133943">333</a> <a href="https://lava.collabora.co.uk/scheduler/job/133953">334</a> <a href="https://lava.collabora.co.uk/scheduler/job/133964">335</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Webkit</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-aligned-scroll">webkit-aligned-scroll</a></p></td>
<td><p>Test that scrolling is pinned in a given direction when started mostly towards it.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Boopathi</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-lazy-click">webkit-lazy-click</a></p></td>
<td><p>Test touch adjustment (lazy click) support in WebKit-Clutter</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-drag-and-drop">webkit-drag-and-drop</a></p></td>
<td><p>Test HTML5 drag-and-drop support in WebKit-Clutter</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Boopathi Parthiban</p></td>
<td><p><a href="/bbz:576" title="wikilink">bug 576</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-contextual-zoom">webkit-contextual-zoom</a></p></td>
<td><p>This test case is about zooming parts of a web page to make it easier to read on devices with limited screen area. The scope of the test is the zooming functionality that takes into account the content in the clicked area, other functionality that belongs to a real browser isn't to be tested here.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Boopathi Parthiban</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit-clutter-javascriptcore">webkit-clutter-javascriptcore</a></p></td>
<td><p>JavaScriptCore tests are implementation of the Mozilla JavaScript Test Suite. This test suite covers the functionality of the core JavaScript engine. This includes several JavaScript objects such as Arrays, Booleans, Dates, Functions, Global Object, Math, Numbers, Objects, Regular Expressions and Strings. In addition the JavaScript tests cover parsing, lexical conventions, expressions, statements, type conversion, and exception handling.</p></td>
<td><p>Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>Araujo</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/133960">336</a> <a href="https://lava.collabora.co.uk/scheduler/job/133934">337</a> <a href="https://lava.collabora.co.uk/scheduler/job/135753">338</a> <a href="https://lava.collabora.co.uk/scheduler/job/133929">339</a> <a href="https://lava.collabora.co.uk/scheduler/job/133944">340</a> <a href="https://lava.collabora.co.uk/scheduler/job/133954">341</a> <a href="https://lava.collabora.co.uk/scheduler/job/133965">342</a></p></td>
</tr>
<tr class="even">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td><p>PASSED - All tests passed.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td><p>PARTIAL - Tests mostly passed, with some minor problems.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td><p>FAILED - One or more tests failed.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td><p>NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
</tbody>
</table>

[Category:QA/Test_report](/Category:QA/Test_report "wikilink")
[Category:QA/Test_report/{{\#rel2abs:
../../.}}](/Category:QA/Test_report/{{#rel2abs:_../../.}} "wikilink")