# Guest Additions under VirtualBox SDK images

## What are the "Guest additions" ?

  -
    Guest additions consist of device drivers and system applications
    that optimize the guest operating system for better performance and
    usability. They are designed to be installed inside a virtual
    machine after the guest operating system has been installed. For
    more information on the features provided by guest additions, see
    [this page](http://www.virtualbox.org/manual/ch04.html)

## Why should we install them ?

  -
    In the context of this project, guest additions were selected to
    allow developers to enable fullscreen rendering within virtualbox
    SDK images. Fullscreen is not the only reason to install guest
    additions, though. Shared folders are another very handy feature.

## Installation Guide

This concise step-by-step installation guide is intended for VirtualBox
**running our SDK images**.

**IMPORTANT NOTE \*\*\*\*\*\*\***
So, before following the steps below, please install newest version of
VirtualBox on your Host system.
Find the [Binaries and installation instructions
here](https://www.virtualbox.org/wiki/Linux_Downloads)
**\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\***


  -
    1\) start your virtualBox' machine sdk image
    2\) Click menu "Devices" - "Install Guest Additions"
    3\) Double-click on the VBOXADDITIONS cd icon which should appear on
    your guest desktop
    4\) Open a terminal window and type: $ sudo
    /media/distro/VBOXADDITIONS_${VBox_version}_${VBox_build}/VBoxLinuxAdditions.run
    5\) reboot your virtual machine
    6\) Verify a new directory is created under /opt with guest
    additions or verify vboxguest module is loaded

You can now enjoy guest additions' enhanced features \!