# Robustness against power loss

The primary aim of this feature is to integrate tests from SQLite and
GLib into the image to ensure that the robustness features built into
these libraries can be verified to be working.

## SQLite

SQLite has a [very extensive test
suite](http://www.sqlite.org/testing.html), out of which the "veryquick"
set of tests, which take close to half an hour to run, have been
integrated into the image. These provide an amount of functional test
coverage which is appropriate. To facilitate this, [a test
case](/QA/Test_Cases/sqlite-veryquick "wikilink") was written to
document how to run the test itself.

## GLib/GIO

The [GIO](https://developer.gnome.org/gio/) library within
[GLib](https://developer.gnome.org/glib/) is the standard way to do file
handling, I/O, etc. It also has a set of functional tests for all the
features provided by the library. Out of these, the subset of GIO tests
that deal with local I/O have been integrated into the image. As a part
of this, [a test case](/QA/Test_Cases/glib-gio-fs "wikilink") was
written to document how to run the test.