Apertis has a release lifecycle which is roughly three months long. Each
release consists of a round of development, testing and bug fixing,
followed by a stable release. Apertis also has a daily set of images
which can be used for the latest testing.

You can find:

  - [stable release images](https://images.apertis.org/release/)
  - [daily build images](https://images.apertis.org/daily/)

Apertis is actively developed, so you should always develop against
either the latest release or the daily build images.

There are five types of images available, depending on the platform:

  - **minimal**: headless systems
  - **target**: systems with graphical stack and basic HMI
  - **basesdk**: full desktop environment to develop for Apertis, meant
    to be run under [VirtualBox](/VirtualBox "wikilink")
  - **sdk**: full desktop environment to develop for Apertis with extra
    tools to write Canterbury and Mildenhall apps, meant to be run under
    [VirtualBox](/VirtualBox "wikilink")

The supported platform are (see [Reference
Hardware](/Reference_Hardware "wikilink")):

  - **amd64**: Intel 64bit (using UEFI)
  - **armhf**: ARM 32bit (using u-boot)
  - **arm64**: ARM 64bit (using u-boot)

The
[licensing](https://designs.apertis.org/latest/license-applying.html)
documentation describes the licensing expectations for the packages
provided in each Apertis image type.