Apertis hosts its own package subset in [Collabora's Open Build Service
(OBS) instance](https://build.collabora.co.uk). These OBS projects are
used to host packages which makes up Apertis.

## Packages Guidelines

The package set is distributed in several OBS projects: `target`,
`development`, `sdk`, `hmi`, `helper-libs`. Those projects are merged in
a single repository, and split in what distribution names repository
components (`target`, `development`, `sdk`, `hmi`, `helper-libs`).

Each of these repository components have different constraints regarding
the type of package that can be hosted. Check the
[licensing](https://designs.apertis.org/latest/license-applying.html)
documentation for details.

  - Source packages modified from upstream distribution include a
    versioning suffix 'co'.
  - Source packages hosted in [Apertis Git](https://gitlab.apertis.org)
    must contain an identification file in OBS (i.e. a file name
    `MAINTAINED_IN_GIT.txt`)
  - Source packages in SDK are built only for supported SDK
    architectures (Intel 64 bit)
  - Source packages in `target`, `development`, `hmi`, `helper-libs` are
    built for all supported architectures (ARM hard float, ARM 64bit,
    Intel 64 bit)

Target images contain `target`, `hmi` components. At build time, target
images can refer to `development` components.

## Requesting a new package

If a new package is desired, the request should be placed in [Apertis
issue tracker](https://phabricator.apertis.org).

## Third party software projects

[Third party Git](https://gitlab.apertis.org/third-party) tree projects
are meant to help with rebasing Apertis patches against newer upstream
versions. Those projects are updated in best effort bases, if you plan
to work on them make sure that Git tree is in sync with the package
found in OBS. These projects do not contain Apertis packaging
directories.