{{ TestCase | id = apparmor-bluez-avrcp-volume | type = Functional |
priority = Medium | execution_type = Manual | target = Any | image =
Target | state = Final | description=Test AppArmor profile for Bluez
AVRCP volume up and down commands. | resources=

  - A Bluetooth adapter.
  - An A2DP Source and AVRCP capable phone (Galaxy Nexus)

| preconditions = {{ EnableBluetooth }} {{ InstallDependencies
|chaiwala-tests apertis-tests-apparmor-report}} {{ PairBluetoothDevice
}} | execution =

1.  Be sure that the bluez-avrcp-volume TC passes before executing this
    one, otherwise false-negative might occur.
2.  Ensure Pulse Audio is activated:
      -

            pactl stat
3.  Clean the audit.log file, so no old entries are evaluated:
      -

            echo -n | sudo tee /var/log/audit/audit.log
4.  In another terminal,
            execute:
      -

            /usr/lib/chaiwala-tests/bluez/test-avrcp.py -i hci0 <device_address>

        You can get the bluetooth device address by running `hcitool
        scan`.
5.  Collect AppArmor auditd logs, by running:
      -
        aa_get_complaints.sh
6.  and press 'y' when asked, so the script can proceed.

| results =

  - On Success the script will find no complaints:

<!-- end list -->

    [...snip uselss output...]
    >>> No complaints found!

  - While if something goes wrong, the output will be similar to:

<!-- end list -->

    [...snip useless output...]
    >>> Complaints found, creating report ...
    aa-dump_20130222-100931/
    aa-dump_20130222-100931/complaint_tokens.log
    aa-dump_20130222-100931/audit.log
    aa-dump_20130222-100931/ps_aux.log
    aa-dump_20130222-100931/uname.log
    aa-dump_20130222-100931/chaiwala_version
    >>> Report created as /home/chaiwala/aa-dump_20130222-100931.tar.bz2

  - In this case file a bug report against development/apparmor
    attaching the tar.bz2 file created.

}}