{{ TestCase | id = apparmor-bluez-phone | type = Functional |
execution_type = Manual | target = Any | image = Target | state = Final
| description=Test AppArmor profiles for all BlueZ features needing
interaction with a phone (Pairing, OBEX, PBAP, AVRCP, A2DP, HSP, HFP,
PAN). | resources=

  - A Bluetooth adapter (if you have two plugged, please remove one to
    avoid confusion)
  - A Bluetooth-enabled phone with a SIM card and a data plan.

| preconditions = {{ EnableBluetooth }} {{ InstallDependencies
|chaiwala-tests python-dialog dialog apertis-tests-apparmor-report}} |
execution =

1.  Be sure that the bluez-phone TC passes before executing this one,
    otherwise false-negative might occur.
2.  Clean the audit.log file:
      -

            echo -n | sudo tee /var/log/audit/audit.log
3.  Execute the test suite:
      -

            DISPLAY=:0 /usr/lib/chaiwala-tests/bluez/ubt

        There are some options:

          - `-i` select which hci device to use(e.g.: hci0). One can
            find the hci device name by running 'hciconfig' and looking
            at the available devices in its outputs.
          - `-d` select which device you want to pair with, skipping
            discovery procedure. One can find the phone's Bluetooth
            address by putting the phone in discoverable mode and
            running "hcitool scan" from the system.
          - `-s` skip pairing because the device is already paired. -d
            must be present when using
            this.

        Example:

            /usr/lib/chaiwala-tests/bluez/ubt -i hci0 -d A0:F4:19:8E:D9:AF -s
4.  Collect AppArmor auditd logs, by running:
      -
        aa_get_complaints.sh
5.  and press 'y' when asked, so the script can proceed.

| results =

  - If `FAILED` is displayed, one of the test has failed, and this TC
    might have some false-negatives.
  - On Success, aa_get_complaints.sh will find no complaints:

<!-- end list -->

    [...snip uselss output...]
    >>> No complaints found!

  - While if something goes wrong, the output will be similar to:

<!-- end list -->

    [...snip useless output...]
    >>> Complaints found, creating report ...
    aa-dump_20130222-100931/
    aa-dump_20130222-100931/complaint_tokens.log
    aa-dump_20130222-100931/audit.log
    aa-dump_20130222-100931/ps_aux.log
    aa-dump_20130222-100931/uname.log
    aa-dump_20130222-100931/chaiwala_version
    >>> Report created as /home/chaiwala/aa-dump_20130222-100931.tar.bz2

  - In this case file a bug report against development/apparmor
    attaching the tar.bz2 file created.

}}