{{ TestCase | id = boot-performance | type = Performance | priority =
High | execution_type = Manual | lava = N/A | target = i.MX6 Sabrelite;
Minnowboard Max | image = Target | state = deprecated | description=Test
boot performance. | preconditions = {{ InstallDependencies
|systemd-bootchart }} | execution = 1. To execute this test, the kernel
command line on an apertis image has to be changed. The procedure for
doing this depends on the board under test.

On the i.MX6 Sabrelite, this can be done by pressing any key on boot
from the serial console to start its command prompt, and entering the
following
    commands:

    MX6QSABRELITE U-Boot > setenv bootargs ${bootargs} init=/lib/systemd/systemd-bootchart
    MX6QSABRELITE U-Boot > boot

On the Minnowboard Max, this can be done by booting the image once and
editing the single file in `/boot/efi/loader/entries` to add the
`init=/lib/systemd/systemd-bootchart` parameter. As of 15.12, that file
is named
    `00000000000000000000000000000000-4.2.0-19-generic.conf`:

    user@apertis:~$ sudo sed -i -e 's,^options.*,& init=/lib/systemd/systemd-bootchart,' /boot/efi/loader/entries/00000000000000000000000000000000-4.2.0-19-generic.conf
    user@apertis:~$ cat /boot/efi/loader/entries/00000000000000000000000000000000-4.2.0-19-generic.conf
    title Linux
    version 4.2.0-19-generic
    linux 00000000000000000000000000000000/4.2.0-19-generic/linux
    initrd 00000000000000000000000000000000/4.2.0-19-generic/initrd
    options console=tty0 console=ttyS0,115200n8  root=UUID=5a489fcd-e015-42ce-ab38-4bb281770c36 rootwait ro quiet splash plymouth.ignore-serial-consoles init=/lib/systemd/systemd-bootchart
    user@apertis:~$ sudo reboot

2\. systemd-bootchart will be invoked as the init process and it will in
turn fork and execute the real init so the system can be booted as
normal while bootchart collect the system information during the boot
process. After a few seconds (20 by default but configurable in
bootchart.conf) the data collection stops and the graph is generated. A
message similar to the following will be shown:

    systemd-bootchart wrote /run/log/bootchart-19700101-0000.svg

3\. Copy bootchart SVG to a persistent
    location:

    cp /run/log/bootchart-19700101-0000.svg /home/user/bootchart-$(cat /etc/image_version | tr -d " ")-$(uname -m).svg

4\. Reboot the board

    reboot

5\. After reboot run systemd-analyze plot after
    boot

    systemd-analyze plot > /home/user/plot-$(cat /etc/image_version | tr -d " ")-$(uname -m).svg

| results = Both bootchart and plot SVG graphics should have been
generated. | postconditions = 6. Extract the SD card from the target,
mount it on a host machine to copy the SVG files (replace mmcblk0 for
your block device).

    mkdir /tmp/rootfs
    mount /dev/mmcblk0p2 /tmp/rootfs
    cp /tmp/rootfs/home/user/{plot,bootchart}* /tmp

7\. Upload the SVG files to the wiki using the [Upload file wiki
page](https://wiki.apertis.org/Special:Upload).

8\. Add a link to both plot and bootchart SVG files in the Notes section
of the boot-performance test on the Test Reports wiki page. A file can
be referenced using \[\[/File:File.jpg|File:File.jpg\]\]. An example of
what could go in the Notes section is:

TODO [Bootchart
file](https://wiki.apertis.org/File:Bootchart-15.03-150205-004801-armv7l.svg)

[Plot
file](https://wiki.apertis.org/File:Plot-15.03-150205-004801-armv7l.svg)
}}