{{ TestCase | id = connman-pan-network-access | type = Functional |
priority = Medium | execution_type = Manual | target = Any |
description=Test ConnMan support for bluetooth PAN Network Access
Profile.

This test will test internet access from Apertis to a bluetooth device
sharing its internet connection. The underlying connection makes use of
Bluetooth Network Access Profile with connman. First the two devices
will be paired, then connection will be established. It will then be
possible to verify that internet is usable from Apertis. | resources =

  - A USB Bluetooth adapter.
  - A phone supporting PAN NAP. A computer can also be used to share its
    internet connection.

| preconditions = {{ EnablePackageRepositories | development }}  {{
ConnmanPersistenceWarning }}

#### Additionnal steps

1.  Make sure an Internet connection is active on the phone and can be
    shared. The steps are phone specific.
2.  Ensure the bluetooth adapter is detectis in Apertis:
      -
        In VirtualBox menu, select Devices \> USB and check the entry
        corresponding to the selected bluetooth adapter.

| execution =

#### Connect from Apertis using connmanctl

  - To ensure effective usage of bluetooth and not ethernet, one can
    use:

<!-- end list -->

    user@apertis:~$ connmanctl disable ethernet
    Disabled ethernet

  - List connman services and Check no other network technologies is in
    use with:

<!-- end list -->

    user@apertis:~$ connmanctl services
    * O computer                 bluetooth_aabbccddeeff_feedbeefcafe

  - From the result select the bluetooth service which matches both the
    adapter and phone addresses. If connections succeeds, connmanctl
    will display Connected bluetooth_aabbccddeeff_feedbeefcafe

<!-- end list -->

    connmanctl connect bluetooth_aabbccddeeff_feedbeefcafe
    Connected bluetooth_aabbccddeeff_feedbeefcafe

  - Control ip routing goes through PAN interface. IP addresses can
    vary, but the default gateway should be bnepX or enXaabbccddeeff.

<!-- end list -->

    user@apertis:~$ ip route
    default via 192.168.2.1 dev bnep0
    192.168.2.0/24 dev bnep0  proto kernel  scope link  src 192.168.2.3
    192.168.2.1 dev bnep0  scope link

| results =

  - At this point, you should be able to navigate on the internet from
    Apertis. For example :

<!-- end list -->

    user@apertis:~$ ping www.google.fr
    PING www.google.fr (216.58.198.163) 56(84) bytes of data.
    64 bytes from lhr25s10-in-f3.1e100.net (216.58.198.163): icmp_seq=1 ttl=50 time=62.0 ms

  - Start the web browser from the Applications menu and display a web
    page
  - Specifying a DNS should not be necessary, it can be done as
    follow

<!-- end list -->

    user@apertis:~$ connmanctl config bluetooth_aabbccddeeff_feedbeefcafe --nameservers 8.8.8.8

| postconditions =

  - Disconnect using
    connmanctl

<!-- end list -->

    user@apertis:~$ connmanctl disconnect bluetooth_aabbccddeeff_feedbeefcafe

  - Enable ethernet again if it was disabled

<!-- end list -->

    user@apertis:~$ connmanctl enable ethernet

}}