{{ TestCase | id = eclipse-install-to-target | type = Functional |
priority = Medium | execution_type = Manual | lava = Not Integrated |
image = SDK | target = Any | description = Test copying files to the
remote device from within Eclipse. It will create a dummy project and
then create a configuration to copy the binary file to a remote device.
| preconditions =

1.  A remote device with SSH access enabled
2.  Username and password for the device
3.  Check the IP address of the device, you'll need it during
    configuration
4.  **eclipse-plugins-apertis-management** version \>= 1.0.4 package is
    installed
5.  If a proxy is set in Eclipse disable the same

| execution =

1.  Start Eclipse
2.  On the initial workspace selection dialog, Click **OK** to select
    the default one
3.  First, create a dummy project to test. Go to **File \> New \> C++
    Project**
4.  **Project Name**: testDebug
5.  **Project Type**: **Hello World C++ project**
6.  **Toolchains**: **Linux GCC**
7.  Click **Finish**
8.  Go to **Project \> Build All**
9.  Go to **Window \> Open Perspective \> C/C++**
10. Go to **Window \> Show View \> Other...**
11. Expand **Remote Systems**, and select **Remote Systems** view. Click
    **OK**
12. The **Remote System** view will open and it will show a list of
    connections
13. Click on the **New Connection** icon on the toolbar of the **Remote
    Systems** view
14. **Connection**: click on **New...**
15. Select **SSH Only**. Click on **Next**
16. **Host name**: the device IP address or localhost
17. **Connection name**: remote
18. Click on **Next**
19. Click on **Next**
20. Click on **Next**
21. Click on **Finish**
22. Select **remote** on the list. Click on the arrow on the left of the
    device to expand its items
23. Click on **Sftp Files** to expand it
24. A dialog may popup prompting for **username** and **password**. Fill
    in the fields and press **OK**
25. Navigate to /home/user/. Right click to create a new folder,
    **testSync**
26. Go to **Project Explorer** panel and select testDebug project
27. Right click on the project and select **Setup Install to Target...**
28. **Connection name**: remote or localhost
29. **destination path**: /home/user/testSync
30. Click OK. It will create a file named **image.rexpfd** in project
    testDebug
31. Right-click image.rexpfd and click **Open Remote File Exporter...**.
    This will open up a window to browser destination folder.
32. Click on **Browser** and select a destination folder.
33. Click on **Finish** to copy the files to the remote device.

| results =

1.  Files copied succesfully to the remote device. Login to the remote
    device via SSH to verify it

| postconditions =

1.  Remove the files from the device, so it's ready for the next test

| notes = }}