{{ TestCase | id = sanity-check | type = Sanity | priority = Critical |
execution_type = Manual / Automated | lava = Integrated | target = Any
| description=This test checks that the system bus is up, that a user
session is created and that a graphical interface is successfully
running in the system, as well as other similar basic services so that a
stable and reliable environment can be confirmed before futher tests are
executed.
Basic functionality: services. | preconditions =

  - A second system with a terminal and `git` available on it. This test
    must be executed before other tests and even before installing other
    packages in the image, so the script to execute this test should be
    fetched from a different machine.

| execution =

1.  Clone the `apertis-tests` repository in the second system:
        $ git clone https://git.apertis.org/git/apertis-tests.git
2.  Copy the `apertis-tests` folder to the Apertis system. Since the
    Apertis image runs `sshd` by default, you can easily copy this file
    using the `scp` utility from the second machine, for this you will
    need the Apertis image IP, which you can find running the `ip`
    command from Apertis:
        user@apertis $ ip addr
3.  Replace <APERTIS_IMAGE_IP> by the found IP and copy the
    `apertis-tests` repository using `scp` from the second system where
    the `apertis-tests` repository was cloned. It would look like
        this:
        $ tar cf apertis-tests.tar apertis-tests/ && scp apertis-tests.tar user@<APERTIS_IMAGE_IP>:/home/user/
    Alternatively, you can copy the `apertis-tests` directory in other
    ways, for example by using an external storage device, manually
    mounting the device and copying the folder. It is recommended and
    expected that you use `scp` from a second machine.
4.  Once the `apertis-tests` folder is available in the Apertis image,
    unpack it in the apertis home user directory:
        user@apertis $ tar xf apertis-tests.tar
5.  And run the `sanity-check` script from the parent directory of the
    `apertis-tests`:
        user@apertis $ sudo ./apertis-tests/common/sanity-check

| results =

  - The command should report no failure and its output should be
    something like this at the end:

<!-- end list -->

    + grep -E ^NAME=("?)Apertis\1$ /etc/os-release
    NAME="Apertis"
    + grep -E ^ID=("?)apertis\1$ /etc/os-release
    ID=apertis
    + id -u user
    + test -S /run/user/1000/wayland-0
    + set +x
    # Sanity check successful

  - **IMPORTANT**: If this test fails for an image, **NO** further tests
    should be executed on that image, since this invalidates all test
    results.

| notes =

  - This test must be executed in an image before running either
    automated or manual tests.

}}