{{ TestCase | id = sdk-ade-remote-debugging | type = Functional |
priority = High | execution_type = Manual | lava = Not Integrated |
image = SDK | target = Any | state = Final | description = Test remote
debugging with ADE. Cross-build an example HelloWorld agent, deploy it
to the target device and debug it with proper backtraces | preconditions
=

1.  A SDK host.
2.  An ARM i.MX6 target device reachable via SSH from the SDK host.
3.  Access to the [Apertis source code hosting
    service](https://gitlab.apertis.org/).
4.  Username and password for the target device.
5.  Check the IP address of the target device, you'll need it during
    configuration.
6.  `gdbserver` must be installed in the remote device. The debugging
    port (1234 by default) must be open.
7.  `apertis-dev-tools` package is installed on the SDK.

| execution =

1.  Install an ARM 32bit sysroot on the host
        # ade sysroot install
2.  Enable key-based SSH login on the target device
        $ ssh-keygen
        $ ssh-copy-id USER@HOST
3.  Clone the source code for the HelloWorld sample agent on the SDK
    host
        $ git clone https://gitlab.apertis.org/sample-applications/helloworld-simple-agent
        $ cd helloworld-simple-agent
4.  Configure target device for debugging
        $ ade configure --debug --device user@$HOST
        $ ade export
        $ ade install --device user@$HOST
5.  Finally set up a debug connection to the target device
        ade debug --device user@$HOST

| results =

1.  The sample "Hello World" agent is successfully bundled and pushed to
    the target device and the application bundle
    **org.apertis.HelloWorldSimpleAgent** is available under
    `/Applications` on the target device.
2.  The debug connection to **gdbserver** running on the target device
    is set up succesfully, the execution of the debugged program can be
    controlled with GDB commands and the `backtrace` GDB command is able
    to resolve debug symbols and print meaningful stacktraces

| notes = }}