{{ TestCase | id = sdk-roller-scrolling-performance | type = Usability |
execution_type = Manual | lava = N/A | image = Any | target = Any |
state = Final | description = Usability test for Roller basic kinetic
scrolling. Scrolling of a roller involves below mentioned use cases.

`* Basic Kinetic scrolling`
`* Overshoot effect`
`* Global scroll bar `
`* Blur effect`
`* Stopping and re-accelerating `

| execution =

1.  Run Start_simulator.sh. If Simulator script is not available,
    Launcher application can be executed.
2.  To run Simulator,
      -

            ./Start_simulator.sh
3.  or run
            Launcher
      -

            ./bin/mildenhall_launcher app-name org.apertis.Mildenhall.Launcher

<!-- end list -->

  - Steps

`  1) Scroll left roller and right roller`

  - Expected Result

`  1) Observe for basic Kinetic scrolling `

To Launch Eye

\#:

    cd /usr/Applications/org.apertis.Eye

\#:

    ./bin/eye app-name org.apertis.Eye

  - Steps

` 1) In thumb view scroll thumb roller up and down`

  - Expected Result

` 1) Observe for basic Kinetic scrolling`
` 2) Observe for Overshoot effect  `
` 3) Observe for Stopping and re-accelerating`

  - Steps to select any video item

` 1) Switch to Thumb view/detial view`
` 2) Scroll roller up and down`

  - Expected Result

` 1) Observe for video elements should keep playing during scrolling`
` 2) Observe for Overshoot effect`

To Launch
    Frampton

\#:

    cd /usr/Applications/org.apertis.Frampton

\#:

    ./bin/frampton app-name org.apertis.Frampton menu-entry “A R T I S T” url “ ” (refer application’s .desktop file)

  - Steps

` 1) In thumb view, Before thumbs gets loaded, scroll the roller `

  - Expected
Result

` 1) Observe that, scrolling of the roller items should not load the thumbnails.After Scroll stopped thumbnails should be resume loading thumbnails in the visible area.`

| preconditions =

1.  Install packages mildenhall-launcher, Eye, Frampton
      -

            sudo apt-get install mildenhall-launcher Eye Frampton

| results =

  - Basic Kinetic
scrolling

` 1) Vertical kinetic scrolling (deceleration)(can be tested in mildenhall-launcher, Eye, Frampton)`
` 2) Responsible at any time (e.g. during scroll, during lock-in effect, etc)(can be tested in mildenhall-launcher, Eye, Frampton)`
` 3) video elements should keep playing during scrolling (can be tested in Eye)`
` 4) scrolling of the roller items should not load the thumbnails.After Scroll stopped thumbnails should be resume loading thumbnails in the visible area.(can be tested in Frampton)`

  - Overshoot
effect

` 1) Elastic effect when items are less (can be tested in mildenhall-launcher, Eye, Frampton)`

  - Global scroll bar

` N/A`

  - Blur effect

` N/A`

  - Stopping and
re-accelerating

` 1) scrolling should only start after the pointer has moved a configurable (at runtime) threshold, otherwise is considered a click (can be tested in mildenhall-launcher, Eye, Frampton)`
` 2) tap-and-hold should stop the scrolling animation (can be tested in mildenhall-launcher, Eye, Frampton)`
` 3) a flick gesture should re-accelerate (can be tested in mildenhall-launcher, Eye, Frampton)`
` 4) the scroll animation shouldn't visibly stop when re-accelerating (can be tested in mildenhall-launcher, Eye, Frampton)`

}} Note: On failure to generate the
logs

` 1) export G_DEBUG_MESSAGES=lightwood-roller`
` 2) Redirect the stderr file discriptor to a log file , for example `
` 3)./bin/mildenhall_launcher app-name org.apertis.Mildenhall.Launcher 2>log.txt`