Apertis is a versatile open source infrastructure tailored to the
automotive needs and fit for a wide variety of electronic devices.
Security and modularity are two of its primary strengths. Apertis
provides a feature-rich framework for add-on software and resilient
upgrade capabilities. Beyond an operating system, it offers new APIs,
tools and cloud services.

<table>
<tbody>
<tr class="odd">
<td><table>
<tbody>
<tr class="odd">
<td><h2 id="mp-tfa-h2" style="margin:3px; background:#3a5a82; font-family:inherit; font-size:120%; font-weight:bold; border:1px solid #a3b0bf; text-align:left; color:#ffffff; padding:0.2em 0.4em;">
<p>Production Friendly</p>
</h2></td>
</tr>
<tr class="even">
<td><div id="mp-tfa" style="padding:2px 5px">
<p>Apertis aims to accomplish the following goals:</p>
<ul>
<li>Ensure that all the software shipped in Apertis is open source or at least freely distributable, so that downstreams are entitled to use, modify and redistribute work derived from our deliverables.</li>
<li>Ensure that Apertis images targeting devices (such as target and minimal), are not subject to licensing constraints that may conflict with the regulatory requirements of some intended use cases.</li>
</ul>
<p>Apertis is primarily licensed under the Mozilla Public License Version 2.0, with images and documentation licensed under CC BY-SA 4.0.</p>
<p>For more information see <a href="https://designs.apertis.org/latest/license-expectations.html">Open source License expectations</a>.</p>
<p>Apertis undergoes regular automated and manual testing with publicly available results.</p>
<p>For more information see</p>
<h2 id="further-links-1">Further Links</h2>
<ul>
<li><a href="https://designs.apertis.org/latest/license-expectations.html">Licensing</a></li>
<li><a href="/Build_and_Integration_infrastructure_documentation" title="wikilink">Build and Integration infrastructure</a></li>
<li><a href="/QA" title="wikilink">Quality assurance</a></li>
<li><a href="https://lavaphabbridge.apertis.org">Test results</a></li>
</ul></td>
</tr>
</tbody>
</table></td>
<td></td>
<td><table>
<tbody>
<tr class="odd">
<td><h2 id="mp-itn-h2" style="margin:3px; background:#3a5a82; font-family:inherit; font-size:120%; font-weight:bold; border:1px solid #a3b0bf; text-align:left; color:#ffffff; padding:0.2em 0.4em;">
<p>Frequent Releases</p>
</h2></td>
</tr>
<tr class="even">
<td><div id="mp-itn">
<p>The overall goal is for Apertis to do a yearly product release. These releases will be named after the year of the stable release, in other words the product release targetted at 2020 will be given major version 2020. A product release is intended to both be based on the most recent mainline kernel LTS release and the current Debian stable release. Since Debian releases roughly once every two years, that means that there will typically be two Apertis product releases based on a single Debian stable release. With Linux doing an LTS release on a yearly basis, each Apertis product release will be based on a different (and then current) Linux kernel release.</p>
<p>The standard support period for each Apertis product release is 7 quarters. In other words from the initial release at the end of Q1 until the end of the next year.</p>
<p>For more information, see <a href="https://designs.apertis.org/latest/release-flow.html">Release flow and product lines</a>.</p>
<h2 id="further-links-3">Further Links</h2>
<ul>
<li><a href="/ReleaseNotes" title="wikilink">Releases</a></li>
<li><a href="/Roadmap" title="wikilink">Roadmap</a></li>
<li><a href="/V2019.0/Release_schedule" title="wikilink">Release schedule for V2019.0</a></li>
<li><a href="/V2020dev0/Release_schedule" title="wikilink">Release schedule for V2020dev0</a></li>
</ul></td>
</tr>
</tbody>
</table></td>
<td></td>
<td><table>
<tbody>
<tr class="odd">
<td><h2 id="mp-itn-h2" style="margin:3px; background:#3a5a82; font-family:inherit; font-size:120%; font-weight:bold; border:1px solid #a3b0bf; text-align:left; color:#ffffff; padding:0.2em 0.4em;">
<p>Developer Ready</p>
</h2></td>
</tr>
<tr class="even">
<td><div id="mp-itn">
<p>Apertis provides a number of pre-built images for Intel (64-bit) and ARM (32-bit and 64-bit) for evaluation on one of the Apertis <a href="https://wiki.apertis.org/Reference_Hardware">Reference Hardware</a> platforms. Additionally Apertis provides an SDK image to simplify development for the platform.</p>
<p><a href="/File:VM-SDK.png" title="wikilink">frameless|center|The Apertis SDK</a></p>
<h2 id="further-links-5">Further Links</h2>
<ul>
<li><a href="/Apertis:Code_of_conduct" title="wikilink">Code of conduct</a></li>
<li><a href="/Images" title="wikilink">Download the current images</a></li>
<li><a href="/Deployment_Environment" title="wikilink">Set up your development environment</a></li>
<li><a href="https://gitlab.apertis.org">Source code</a></li>
<li><a href="/Guidelines" title="wikilink">Development guidelines</a></li>
<li><a href="https://developer.apertis.org">App developer portal</a></li>
<li><a href="https://lists.apertis.org/">Mailing lists</a></li>
<li><a href="https://images.apertis.org/">Images</a></li>
<li><a href="https://repositories.apertis.org/">Repositories</a></li>
<li><a href="/ConceptDesigns" title="wikilink">Concept designs</a></li>
<li><a href="https://developer.apertis.org/latest/apis.html">Supported APIs</a></li>
</ul></td>
</tr>
</tbody>
</table></td>
</tr>
</tbody>
</table>

__NOTOC__ __NOEDITSECTION__