{{ TestCase | id = ofono-voice-call | type = Functional |
execution_type = Manual | target = Any | description = Test voicecall
control with oFono. This test exercises oFono APIs used to dial, answer,
and hangup phone calls. This test can be executed with a bluetooth
phone. oFono calls modem any kind of devices that it can control. A
bluetooth mobile phone is a modem in oFono terminology. | state = Devel
| resources =

  - A mobile phone with a SIM card.
  - A USB bluetooth adapter.
  - An external phone able to call the mobile phone.

| preconditions = {{ EnablePackageRepositories | development }} {{
InstallDependencies|ofono-tests ofono-phonesim chaiwala-tests
python3-dbus python3-gi }} {{ ConnmanPersistenceWarning }} | execution =

1.  Create a modem for use in ofono using a bluetooth phone, start
    simple agent first:
      -

            /usr/lib/chaiwala-tests/bluez/simple-agent -y

        On the phone, scan for the Bluetooth device and pair with it,
        check simple-agent as some input may be required.

        In the rest of this document we will describe the bluetooth
        case.
2.  Ensure the modem is properly created
      -

            /usr/share/ofono/tests/list-modems

<!-- end list -->

    [ /hfp/org/bluez/hci0/dev_34_A3_95_E4_09_ED ]
        Features =
        Emergency = 0
        Lockdown = 0
        Powered = 0
        Online = 0
        Name = myPhone
        Interfaces =
        Type = hfp

1.  Let the modem connect to the network
      -

            /usr/share/ofono/tests/enable-modem

        Connecting modem
        /hfp/org/bluez/hci0/dev_34_A3_95_E4_09_ED...

            /usr/share/ofono/tests/online-modem

        Setting modem /hfp/org/bluez/hci0/dev_34_A3_95_E4_09_ED
        online...

        </pre>
2.  Use the external phone and placing a call to the paired mobile
    phone.
3.  Ensure the call is properly dialing in ofono
      -

            /usr/share/ofono/tests/list-calls

        The output is as follow

`[ /hfp/org/bluez/hci0/dev_34_A3_95_E4_09_ED ]`
`    [ /hfp/org/bluez/hci0/dev_34_A3_95_E4_09_ED/voicecall01 ]`
`        Emergency = 0`
`        Name = `
`        RemoteMultiparty = 0`
`        State = dialing`
`        LineIdentification = +3323456789`
`        RemoteHeld = 0`
`        Multiparty = 0`

1.  Retrieve the call path that will be used for call control.
      -
        It will look like
        /hfp/org/bluez/hci0/dev_34_A3_95_E4_09_ED/voicecall01
2.  Answer the call on
            Apertis
      -

            /usr/share/ofono/tests/answer-call /hfp/org/bluez/hci0/dev_34_A3_95_E4_09_ED/voicecall01
3.  Ensure to hear sound from the phone
4.  Hangup the
            call
      -

            /usr/share/ofono/tests/hangup-call /hfp/org/bluez/hci0/dev_34_A3_95_E4_09_ED/voicecall01
5.  Dial the phone number
      -

            /usr/share/ofono/tests/dial-number +33123456789
6.  Answer the call on the phone
7.  Ensure the call is active and to hear sound from the phone
8.  Hangup the
            call
      -

            /usr/share/ofono/tests/hangup-call /hfp/org/bluez/hci0/dev_34_A3_95_E4_09_ED/voicecall01

| results =

  - If no error appears the calls have been successfully accepted and
    emitted
  - The phone is supposed to have placed a call and received a call. No
    call should still be active.
  - The following can be used at any time to check status
        /usr/share/ofono/tests/list-calls

}}